> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing brand

> Updates an existing brand's name, slug, logo, cover image, and description. Validates that the brand exists and that the updated name/slug are unique.



## OpenAPI

````yaml /swagger/management-api.json put /api/v1/{team_slug}/{app_slug}/brands/{brand_id}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/brands/{brand_id}:
    put:
      tags:
        - Brands
      summary: Update an existing brand
      description: >-
        Updates an existing brand's name, slug, logo, cover image, and
        description. Validates that the brand exists and that the updated
        name/slug are unique.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Id of brand
          in: path
          name: brand_id
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/internal_pkg_webserver_v1.BrandRequest'
      responses:
        '200':
          description: Brand updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.BrandResponse'
        '400':
          description: Invalid request (e.g. bad UUID, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  requestBodies:
    internal_pkg_webserver_v1.BrandRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.BrandRequest'
      description: data on brand
      required: true
  schemas:
    internal_pkg_webserver_v1.BrandResponse:
      properties:
        data:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Brand
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.BrandRequest:
      properties:
        address:
          $ref: '#/components/schemas/internal_pkg_webserver_v1.BrandAddressRequest'
        cover_id:
          type: string
        description:
          type: string
        email:
          type: string
        logo_id:
          type: string
        name:
          type: string
        slug:
          type: string
      required:
        - name
        - slug
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Brand:
      properties:
        address:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandAddress
          description: brand address
        cover:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandImage
        created_at:
          type: string
        description:
          description: brand description
          type: string
        email:
          description: brand email
          type: string
        id:
          description: unique id of brand
          type: string
        logo:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandImage
        name:
          description: name of brand
          type: string
        series:
          description: series connected to the brand
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandSeries
          type: array
        slug:
          description: slug of brand
          type: string
        translations:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandTranslations
        updated_at:
          type: string
      type: object
    internal_pkg_webserver_v1.BrandAddressRequest:
      properties:
        city:
          type: string
        co_address:
          type: string
        country:
          type: string
        house_number:
          type: string
        postal_code:
          type: string
        state_province:
          type: string
        street_address:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandAddress:
      properties:
        city:
          type: string
        co_address:
          type: string
        country:
          type: string
        house_number:
          type: string
        postal_code:
          type: string
        state_province:
          type: string
        street_address:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandImage:
      properties:
        id:
          type: string
        url:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandSeries:
      properties:
        id:
          description: unique id of series
          type: string
        name:
          description: name of series
          type: string
        slug:
          description: name of series
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.BrandTranslations:
      properties:
        description:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation:
      properties:
        id:
          type: string
        locale:
          type: string
        value:
          type: string
      type: object

````